<?php
require_once OCS_APPLICATION_PATH . '/services/Optimization/Plugin.php';

abstract class Ocs_Service_Optimization_Analyzer_Abstract_Base
    extends Ocs_Service_Optimization_Plugin  
{
    /** 
    * Performs factor analysis 
    */
    public function __invoke()
    {
        return Ocs_Service_Optimization::STATUS_NA;
    }
}